Skip to content
Get started

List worker schedules

GET/api/workers/{workerId}/schedules

List scheduled tasks for a worker.

Path ParametersExpand Collapse
workerId: string
ReturnsExpand Collapse
schedules: array of WorkerSchedule
One of the following:
object { id, budget, input, 2 more }
id: string
budget: "low" or "standard" or "high" or "unlimited"
One of the following:
"low"
"standard"
"high"
"unlimited"
input: string
nextRunAt: string
formatdate-time
type: "scheduled"
object { id, budget, delayInSeconds, 3 more }
id: string
budget: "low" or "standard" or "high" or "unlimited"
One of the following:
"low"
"standard"
"high"
"unlimited"
delayInSeconds: number
input: string
nextRunAt: string
formatdate-time
type: "delayed"
object { id, budget, cron, 3 more }
id: string
budget: "low" or "standard" or "high" or "unlimited"
One of the following:
"low"
"standard"
"high"
"unlimited"
cron: string
input: string
nextRunAt: string
formatdate-time
type: "cron"
object { id, budget, input, 3 more }
id: string
budget: "low" or "standard" or "high" or "unlimited"
One of the following:
"low"
"standard"
"high"
"unlimited"
input: string
intervalSeconds: number
nextRunAt: string
formatdate-time
type: "interval"
workerId: string

List worker schedules

curl https://v3.handinger.com/api/workers/$WORKER_ID/schedules \
    -H "Authorization: Bearer $HANDINGER_API_KEY"
{
  "schedules": [
    {
      "id": "id",
      "budget": "low",
      "input": "input",
      "nextRunAt": "2019-12-27T18:11:19.117Z",
      "type": "scheduled"
    }
  ],
  "workerId": "workerId"
}
Returns Examples
{
  "schedules": [
    {
      "id": "id",
      "budget": "low",
      "input": "input",
      "nextRunAt": "2019-12-27T18:11:19.117Z",
      "type": "scheduled"
    }
  ],
  "workerId": "workerId"
}